Query transactions in Gateway de Pagamento
To query a transaction, use the Gateway de Pagamento API query service and provide the transaction PaymentId. You can query a transaction to review all its details or to check its status.
Go to the Gateway de Pagamento manual to view the query endpoints.
The Pix payment method will be available soon!
Request
get https://apiquerysandbox.braspag.com.br/v2/sales/{PaymentId}
--request GET "https://apiquerysandbox.braspag.com.br/v2/sales/{PaymentId}"
--header "Content-Type: application/json"
--header "MerchantId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--header "MerchantKey: 0123456789012345678901234567890123456789"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
--verboseBelow are the field properties in this request:
| Property (header) | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | Guid | 36 | Yes | Merchant identifier in Split de Pagamento |
MerchantKey | Text | 40 | Yes | Public key for dual authentication in Split de Pagamento |
Content-Type | Header | 40 | Yes | Application/json |
RequestId | Guid | 36 | No | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT. |
| Property (body) | Description | Type | Size | Required? |
|---|---|---|---|---|
PaymentId | Payment identification number. | Text | 36 | Yes (sent in the endpoint) |
Response
{
"MerchantOrderId": "2017051001",
"Customer": {
"Name": "Nome do Cliente",
"Identity": "01234567789",
"Email": "[email protected]",
"Address": {
"Street": "GONCALO DA CUNHA",
"Number": "111",
"ZipCode": "04140040",
"City": "SAO PAULO",
"State": "SP",
"Country": "BRA",
"District": "CHACARA INGLESA"
}
},
"Merchant": {
"Id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"TradeName": "Lojas Teste"
},
"Payment": {
"ServiceTaxAmount": 0,
"Installments": 1,
"Interest": "ByMerchant",
"Capture": true,
"Authenticate": false,
"Recurrent": false,
"CreditCard": {
"CardNumber": "455187******0181",
"Holder": "Nome do Portador",
"ExpirationDate": "12/2021",
"Brand": "Visa"
},
"ProofOfSale": "2539492",
"AcquirerTransactionId": "0510042539492",
"AuthorizationCode": "759497",
"Eci": "0",
"Refunds": [
{
"Amount": 10000,
"Status": 3,
"ReceivedDate": "2017-05-15 16:25:38"
}
],
"Chargebacks": [
{
"Amount": 10000,
"CaseNumber": "123456",
"Date": "2017-06-04",
"ReasonCode": "104",
"ReasonMessage": "Outras Fraudes - Cartao Ausente",
"Status": "Received",
"RawData": "Client did not participate and did not authorize transaction"
}
],
"FraudAlert": {
"Date": "2017-05-20",
"ReasonMessage": "Uso Ind Numeração",
"IncomingChargeback": false
},
"VelocityAnalysis": {
"Id": "f8078b32-be17-4c35-b164-ad74c3cd0725",
"ResultMessage": "Accept",
"Score": 0
},
"PaymentId": "f8078b32-be17-4c35-b164-ad74c3cd0725",
"Type": "CreditCard",
"Amount": 10000,
"ReceivedDate": "2017-05-10 16:25:38",
"CapturedAmount": 10000,
"CapturedDate": "2017-05-10 16:25:38",
"VoidedAmount": 10000,
"VoidedDate": "2017-05-15 16:25:38",
"Currency": "BRL",
"Country": "BRA",
"Provider": "Simulado",
"ProviderDescription": "Simulado",
"ReasonCode": 0,
"Status": 1,
"Links": [
{
"Method": "GET",
"Rel": "self",
"Href": "https://apiquerysandbox.braspag.com.br/v2/sales/f8078b32-be17-4c35-b164-ad74c3cd0725"
},
{
"Method": "PUT",
"Rel": "capture",
"Href": "https://apisandbox.braspag.com.br/v2/sales/f8078b32-be17-4c35-b164-ad74c3cd0725/capture"
},
{
"Method": "PUT",
"Rel": "void",
"Href": "https://apisandbox.braspag.com.br/v2/sales/f8078b32-be17-4c35-b164-ad74c3cd0725/void"
}
]
}
}{
"MerchantOrderId": "202411130002",
"AcquirerOrderId": "********************************",
"Customer": {
"Name": "Aline de Souza",
"Identity": "11122233344",
"Address": {}
},
"Payment": {
"Installments": 1,
"PaymentId": "69ffe23b-c3f3-4d60-90ac-46f57d32cadb",
"EndToEndId": "E010...",
"Type": "Pix",
"Amount": 457,
"ReceivedDate": "2025-12-02 11:15:39",
"Currency": "BRL",
"Country": "BRA",
"Status": 2,
"Links": [
{
"Method": "GET",
"Rel": "self",
"Href": "https://apiquerysandbox.cieloecommerce.cielo.com.br/1/sales/660589f1-1076-4c8e-80fd-b001942f8915"
}
]
}
} | Property | Description | Type | Size | Format |
|---|---|---|---|---|
MerchantOrderId | Order identification number. | Text | 50 | Alphanumeric text |
Customer.Name | Shopper`s name. | Text | 255 | Alphanumeric text |
Customer.Identity | Client's CPF or CNPJ number. | Text | 14 | Alphanumeric text |
Customer.IdentityType | Shopper identification document type (CPF or CNPJ). | Text | 255 | CPF or CNPJ |
Customer.Email | Shopper's email. | Text | 255 | Alphanumeric text |
Customer.Birthdate | Shopper`s birthdate | Date | 10 | AAAA-MM-DD |
Customer.Address.Street | Shopper's address street. | Text | 255 | Alphanumeric text |
Customer.Address.Number | Shopper's address number | Text | 15 | Alphanumeric text |
Customer.Address.Complement | Shopper's address complement | Text | 50 | Alphanumeric text |
Customer.Address.ZipCode | Shopper's address ZIP Code | Text | 9 | Alphanumeric text |
Customer.Address.City | Shopper's address city. | Text | 50 | Alphanumeric text |
Customer.Address.State | Shopper's address state. | Text | 2 | Alphanumeric text |
Customer.Address.Country | Shopper's address country. | Text | 35 | Alphanumeric text |
Customer.Address.District | Shopper's address neighborhood. | Text | 50 | Alphanumeric text |
Customer.DeliveryAddress.Street | Delivery address street. | Text | 255 | Alphanumeric text |
Customer.DeliveryAddress.Number | Delivery address number. | Text | 15 | Alphanumeric text |
Customer.DeliveryAddress.Complement | Delivery address complement. | Text | 50 | Alphanumeric text |
Customer.DeliveryAddress.ZipCode | Delivery address ZIP code. | Text | 9 | Alphanumeric text |
Customer.DeliveryAddress.City | Delivery address city. | Text | 50 | Alphanumeric text |
Customer.DeliveryAddress.State | Delivery address state. | Text | 2 | Alphanumeric text |
Customer.DeliveryAddress.Country | Delivery address country. | Text | 35 | Alphanumeric text |
Customer.DeliveryAddress.District | Delivery address district. | Text | 50 | Alphanumeric text |
Merchant.Id | Identifier of the merchant that processed this transaction. | GUID | 36 | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx |
Merchant.TradeName | Trade name. | Text | 50 | Alphanumeric text |
Payment.Provider | Payment method provider name. | Text | 15 | Alphanumeric text |
Payment.Type | Payment method type. | Text | 100 | E.g.: "CreditCard" |
Payment.Amount | Order amount in cents. | Number | 15 | 10000 |
Payment.ServiceTaxAmount | Amount from the authorization value that should be allocated to the service fee. Note: This amount is not added to the authorization value. | Number | 15 | 10000 |
Payment.Currency | Currency in which the payment will be made. | Text | 3 | BRL / USD / MXN / COP / CLP / ARS / PEN / EUR / PYN / UYU / VEB / VEF / GBP |
Payment.Country | Country in which the payment will be made. | Text | 3 | BRA |
Payment.Installments | Number of installments. | Number | 2 | 6 |
Payment.Interest | Type of installment. | Text | 10 | Merchant ("ByMerchant") or issuer ("ByIssuer") |
Payment.Capture | Indicates whether the authorization should include automatic capture or not. You must check with the acquirer for the availability of this feature. | Boolean | true / false (default) | |
Payment.Authenticate | Indicates whether the transaction should be authenticated or not. You must check with the acquirer for the availability of this feature. Authenticate must be "false" when Recurrent is "true". | Boolean | true / false (default) | |
Payment.Recurrent | Indicates whether the transaction is recurring or not. Setting this field to "true" will not create a new recurrence; it only allows the transaction to be processed without sending the CVV. Applicable only for Cielo transactions. Authenticate must be "false" when Recurrent is "true". | Boolean | true / false (default) | |
Payment.SoftDescriptor | Text that will appear on the cardholder's statement. | Texto | 13 | Alphanumeric text |
Payment.ExtraDataCollection.Name | Name of the field where the extra data will be stored. | Text | 50 | Alphanumeric text |
Payment.ExtraDataCollection.Value | Value of the field where the extra data will be stored. | Text | 1024 | Alphanumeric text |
Payment.AcquirerTransactionId | Transaction ID at the payment method provider. | Text | 40 | Alphanumeric text |
Payment.ProofOfSale | Sales receipt number. | Text | 20 | Alphanumeric text |
Payment.AuthorizationCode | Authorization code. | Text | 300 | Alphanumeric text |
Payment.Refunds.Amount | Refunded amount, in cents. | Number | 15 | 10000 |
Payment.Refunds.Status | Refund status. | Number | 1 | Received = 1 Sent = 2 Approved = 3 Denied = 4 Rejected = 5 |
Payment.Refunds.ReceivedDate | Refund date. | Text | 19 | AAAA-MM-DD HH:mm:SS |
Payment.Chargebacks[n].Amount | Chargeback amount in cents. | Number | 15 | 10000 |
Payment.Chargebacks[n].CaseNumber | Chargeback case number. | Text | 16 | Alphanumeric text |
Payment.Chargebacks[n].Date | Chargeback date. | Date | 10 | AAAA-MM-DD |
Payment.Chargebacks[n].ReasonCode | Chargeback reason code. Value List - ReasonCode. | Text | 10 | Alphanumeric text |
Payment.Chargebacks[n].ReasonMessage | Chargeback reason message. Value List - ReasonMessage. | Text | 512 | Alphanumeric text |
Payment.Chargebacks[n].Status | Chargeback status. Value List - Status. | Text | 32 | Text |
Payment.Chargebacks[n].RawData | Data sent by the acquirer, which may be the cardholder or another message. | Text | 512 | Alphanumeric text |
Payment.FraudAlert.Date | Fraud alert date. | Date | 10 | AAAA-MM-DD |
Payment.FraudAlert.ReasonMessage | Fraud alert reason message. | Text | 512 | Alphanumeric text |
Payment.FraudAlert.IncomingChargeback | Flag that identifies whether the transaction has a chargeback that occurred before the fraud alert. | Boolean | 5 | Text |
Payment.PaymentId | Order identifier field. | Guid | 36 | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx |
Payment.ReceivedDate | Date when the transaction was received by Split. | Text | 19 | AAAA-MM-DD HH:mm:SS |
Payment.ReasonCode | Acquirer return code. | Text | 32 | Alphanumeric text |
Payment.ReasonMessage | Acquirer return message. | Text | 512 | Alphanumeric text |
Payment.CapturedAmount | Captured amount. | Number | 15 | 10000 |
Payment.CapturedDate | Capture date. | Text | 19 | AAAA-MM-DD HH:mm:SS |
Payment.VoidedAmount | Voided amount in cents. | Number | 15 | 10000 |
Payment.VoidedDate | Void date. | Text | 19 | AAAA-MM-DD HH:mm:SS |
Payment.Status | Transaction status. | Byte | 2 | E.g.: "1" |
Payment.Provider | Payment provider. | Text | 32 | Simulado |
Payment.ProviderDescription | Name of the acquirer that processed the transaction. | Text | 512 | Simulado |
CreditCard.CardNumber | Shopper card number. | Text | 16 | |
CreditCard.Holder | Name of the cardholder printed on the card. Note: Field size rules may vary depending on the acquirer. | Text | 25 | |
CreditCard.ExpirationDate | Expiration date printed on the card. | Text | 7 | MM/AAAA |
CreditCard.Brand | Card brand. | Text | 10 | |
CreditCard.SaveCard | Indicates whether the card will be saved to generate the token (CardToken). | Boolean | true / false (default) |